@import url('https://fonts.googleapis.com/css?family=Montserrat:400,800');

* {
	box-sizing: border-box;
}

:root {
    --color-primary: #6c63ff;
    --color-success: #00bf8e;
    --color-warning: #f7c94b;
    --color-danger: #f75842;
    --color-red: #f02a10;
    --color-danger-variant: rgba(247, 88, 66, 0.4);
    --color-white: #fff;
    --color-grey: rgba(201, 192, 192, 0.986);
    --color-light: rgba(248, 0, 0, 0.7);
    --color-black: #000;
    --color-bg: #1f2641;
    --color-bg1: #2e3267;
    --color-bg2: #424890;

    --container-width-lg: 80%;
    --container-width-md: 90%;
    --container-width-sm: 94%;

    --transition: all 400ms ease;
}

body {
	background: var(--color-bg);
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	font-family: 'Montserrat', sans-serif;
	height: 100vh;
	margin: -20px 0 50px;
	margin: 20px;
    /* width: 100%; */
}

h1 {
	font-weight: bold;
	margin: 0;
}

h2 {
	text-align: center;
}

p {
	font-size: 14px;
	font-weight: 100;
	line-height: 20px;
	letter-spacing: 0.5px;
	margin: 20px 0 30px;
}

span {
	font-size: 12px;
}

a {
	color: #333;
	font-size: 14px;
	text-decoration: none;
	margin: 15px 0;
}

button {
	border-radius: 20px;
	border: 1px solid;
	background-color: transparent;
	color: #FFFFFF;
	font-size: 12px;
	font-weight: bold;
    /* margin-top: 10px; */
	padding: 12px 45px;
	letter-spacing: 1px;
	text-transform: uppercase;
	transition: transform 80ms ease-in;
}

button:active {
	transform: scale(0.95);
}


button:focus {
	outline: none;
}

button.ghost {
	background-color: transparent;
	border-color: #FFFFFF;
}

button:hover {
    background-color: var(--color-danger-variant);
}

.btn-p-overlay-left {
	position: relative;
	bottom: 10px;
}

/* Main heading */
.main-heading {
	color: #fff;
	position: relative;
	bottom: 1.4rem;
}

.main-heading-dynamictxt {
	color: var(--color-danger);
	font-size: 2rem;
}

.ghost-overlay-left {
	position: relative;
	bottom: 20px;
}

form {
	background-color: var(--color-primary);
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 50px;
	height: 100%;
	text-align: center;
}

input {
	background-color: var(--color-bg);
    color: #fff;
	border: none;
    border-radius: 10px;
	padding: 12px 15px;
	margin: 8px 0;
	width: 100%;
	outline: none;
}

.container {
	background-color: #fff;
	border-radius: 10px;
  	box-shadow: 0 14px 28px rgba(0,0,0,0.25), 
			0 10px 10px rgba(0,0,0,0.22);
	position: relative;
	overflow: hidden;
	width: 1024px;
	max-width: 100%;
	min-height: 480px;
}

.form-container {
	position: absolute;
	top: 0;
	height: 100%;
	transition: all 0.6s ease-in-out;
}

.sign-in-container {
	left: 0;
	width: 50%;
	z-index: 2;
}

.container.right-panel-active .sign-in-container {
	transform: translateX(100%);
}

.sign-up-container {
	left: 0;
	width: 50%;
	opacity: 0;
	z-index: 1;
}

.container.right-panel-active .sign-up-container {
	transform: translateX(100%);
	opacity: 1;
	z-index: 5;
	
}

@keyframes show {
	0%, 49.99% {
		opacity: 0;
		z-index: 1;
	}
	
	50%, 100% {
		opacity: 1;
		z-index: 5;
	}
}

.overlay-container {
	position: absolute;
	top: 0;
	left: 50%;
	width: 50%;
	height: 100%;
	overflow: hidden;
	transition: transform 0.6s ease-in-out;
	z-index: 100;
}

.container.right-panel-active .overlay-container{
	transform: translateX(-100%);
}

.overlay {
	background: #FF416C;
	background: -webkit-linear-gradient(to right,  var(--color-primary), var(--color-primary));
	background: linear-gradient(to right, var(--color-bg1), var(--color-primary));
	background-repeat: no-repeat;
	background-size: cover;
	background-position: 0 0;
	color: #FFFFFF;
	position: relative;
	left: -100%;
	height: 100%;
	width: 200%;
  	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.container.right-panel-active .overlay {
  	transform: translateX(50%);
}

.overlay-panel {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 40px;
	text-align: center;
	top: 0;
	height: 100%;
	width: 50%;
	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.overlay-left {
	transform: translateX(-20%);
}

.overlay-left-heading {
	font-size: 1.7rem;
}

.container.right-panel-active .overlay-left {
	transform: translateX(0);
}

.overlay-right {
	right: 0;
	transform: translateX(0);
}

.container.right-panel-active .overlay-right {
	transform: translateX(20%);
}

.social-container {
	margin: 20px 0;
}

.social-container a {
	border: 1px solid #DDDDDD;
	border-radius: 50%;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	margin: 0 5px;
	height: 40px;
	width: 40px;
}

.social:hover{
	background-color: var(--color-danger-variant);
	color: #fff;
}

/* Pop-up */

.crossmark {
    background-color: var(--color-bg);
    color: #fff;
    cursor: pointer;
    border-radius: 2px;
    position: absolute;
    top: 0px;
    right: 0px;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
}


footer {
    background-color: #222;
    color: #fff;
    font-size: 14px;
    bottom: 0;
    position: fixed;
    left: 0;
    right: 0;
    text-align: center;
    z-index: 999;
}

footer p {
    margin: 10px 0;
}

footer i {
    color: red;
}

footer a {
    color: #3c97bf;
    text-decoration: none;
}

.ghost_pc {
    border-radius: 20px;
	border: 1px solid;
	background-color: transparent;
	color: #FFFFFF;
	font-size: 12px;
	font-weight: bold;
    margin-top: 10px;
	padding: 12px 45px;
	letter-spacing: 1px;
	text-transform: uppercase;
	transition: transform 80ms ease-in;
}

.ghost_pc:hover {
	background-color: var(--color-danger-variant);
}

.ghost_pc:active {
	transform: scale(0.95);
}


.ghost_pc:focus {
	outline: none;
}

#ghost_pc1 {
	position: relative;
	top: 10px;
}

.ghost_mobile{
		display:none;
}

#mobile_para{
		display: none;
	}

@media only screen and (max-width: 768px) 
   { 
	.main-heading {
       font-size: 1.02rem;
	}

	.main-heading-dynamictxt {
         font-size: 1.02rem;
	}

	.form-container h1{
		font-size: 1.1rem;
		font-weight: 700;
		position: relative;
		top: 10px;
	}
	.container{
		overflow:auto;
	}
	.overlay-container{
		display: none;
	}
	.sign-up-container{
		width: 100%;
	}
	.sign-in-container{
		width: 100%;
	}

	.container.right-panel-active .sign-up-container{
		transform: translateX(0);
		z-index: 5;
	}

	.container.right-panel-active .sign-in-container{
		transform: translateX(-100%);
		z-index: 5;
	}	 
	.ghost_mobile{
		display:block;
		font-size: 0.8rem;
		background-image: linear-gradient(180deg, var(--color-primary), var(--color-primary));
        position: relative;
		bottom: 15px;
	}

	.ghost_pc {
		position: relative;
		top: 10px;
	}

	#ghost_pc1 {
		position: relative;
		top: 15px;
	}
	

	#mobile_para{
		display: block;
		font-size: 0.58rem;
		font-weight: bold;
	}

   }